List Playbooks
List automations (playbooks) in the workspace.
curl --request GET \
--url https://api.topo.io/v1/playbooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/playbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/playbooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "DRAFT",
"trigger_type": "SIGNAL",
"run_stats": {
"runs_last_7_days": 123,
"succeeded_last_7_days": 123,
"failed_last_7_days": 123,
"waiting_on_approval_last_7_days": 123,
"prospects_enrolled_last_7_days": 123
}
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}sequences:read scope on the API key.Authorizations
Bearer API key issued from Settings → Developers.
Query Parameters
x >= 11 <= x <= 100Filter playbooks by lifecycle status.
DRAFT, ENABLED, PAUSED Search playbooks by name substring.
Response
Successful Response
Records on this page.
Hide child attributes
Hide child attributes
Unique identifier of the playbook.
Name of the playbook.
Lifecycle status of the playbook.
DRAFT, ENABLED, PAUSED How the playbook is triggered.
SIGNAL, SCHEDULE, EVENT, INBOUND_REPLY, MANUAL, CSV, LEAD_IMPORT_COMPLETED, ACTIVITY Execution statistics over the last 7 days, included when loading a single playbook.
Hide child attributes
Hide child attributes
Total number of runs in the last 7 days.
Number of succeeded runs in the last 7 days.
Number of failed runs in the last 7 days.
Number of runs waiting on approval in the last 7 days.
Number of prospects enrolled in the last 7 days.
Total number of records matching the query.
Total number of pages.
Whether more pages remain after the current one.
Was this page helpful?
curl --request GET \
--url https://api.topo.io/v1/playbooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/playbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/playbooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "DRAFT",
"trigger_type": "SIGNAL",
"run_stats": {
"runs_last_7_days": 123,
"succeeded_last_7_days": 123,
"failed_last_7_days": 123,
"waiting_on_approval_last_7_days": 123,
"prospects_enrolled_last_7_days": 123
}
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}